<?php

if
(
    PHPRC_HTTP_PARAM::REF_ISSET_IN_ARRAY
    (
        [
            'PARAM_BARCODE',
            'PARAM_SIZE',
            'PARAM_BARCODE_TYPE',
            'PARAM_SHOW_CAPTION'
        ], True
    )
)
{
    // Read params
    // ------------------------------------------------------------------
    $PARAM_BARCODE = PHPCUS_PARAM::CUS_READ_NVARCHAR('PARAM_BARCODE');
    $PARAM_SIZE = PHPCUS_PARAM::CUS_READ_INT('PARAM_SIZE');
    $PARAM_BARCODE_TYPE = PHPCUS_PARAM::CUS_READ_NVARCHAR('PARAM_BARCODE_TYPE');
    $PARAM_SHOW_CAPTION = PHPCUS_PARAM::CUS_READ_BOOLEAN('PARAM_SHOW_CAPTION');
    PHPRC_IMAGE::REF_BARCODE($PARAM_BARCODE, $PARAM_SIZE, $PARAM_BARCODE_TYPE, $PARAM_SHOW_CAPTION);
}
else
{
    PHPCUS_PARAM::CUS_JSON_ERROR('Missing parameters');
}

?>